# $Revision: 1.6 $, $Date: 2004/09/15 10:22:24 $
Summary:	Text UI for DCTC
Summary(pl):	Tekstowy interfejs uytkownika dla DCTC
Name:		ldcc
Version:	2.0.7
Release:	4
License:	GPL
Group:		Applications/Communications
Source0:	http://www.softservice.com.pl/store/ldcc/%{name}-%{version}.tgz
# Source0-md5:  1fbaa46a139880c6a91faf3dc5e678ff
Patch0:		%{name}-signal.patch
URL:		http://www.softservice.com.pl/ldcc/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	librhtv-devel >= 2.0.1
Requires:	dctc
Requires:	librhtv >= 2.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LDCC is a Linux console, text-based client for Direct Connect.

%description -l pl
LDCC jest konsolowym klientem sieci Direct Connect.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-tv-include=%{_includedir}/rhtvision \
	--with-tv-lib=%{_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install src/ldcc $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ldcc.spec,v $
Revision 1.6  2004/09/15 10:22:24  ankry
- rel. 4 to rebuild with new librhtv

Revision 1.5  2004/08/01 17:57:16  qboosh
- added signal patch, release 3 (all archs back)

Revision 1.4  2004/08/01 16:34:52  andree
- disable alpha, ppc, sparc - undefined SIGSTKFLT
- add option --with-tv-lib=%%{_libdir}; rel. 2

Revision 1.3  2004/02/07 09:26:15  jm
- typo

Revision 1.2  2004/02/07 01:05:10  qboosh
- cleanups/cosmetics

Revision 1.1  2004/02/06 23:26:10  andree
- initial spec
